# All Executions

`GET` `/v3/trade/execution/all`

This API is used to query execution (fill) records, including both buy and sell records. It supports querying today's and historical executions at the same time.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Stock symbol, use `ticker.region` format, example: `AAPL.US` |
| `order_id` | string | No | Order ID, example: `701276261045858304` |
| `start_at` | string | No | Start time, formatted as a timestamp (second), example: `1650410999`. If the start time is null, the default is the 90 days before of the end time or 90 days before of the current time |
| `end_at` | string | No | End time, formatted as a timestamp (second), example: `1650410999`. If the end time is null, the default is the current time or 90 days after of the start time |
| `page` | integer | No | Page number, starting from `1`. The maximum number of records per query is 1000. If the number of results exceeds 1000, `has_more` will be `true`, use `page` together with `has_more` to paginate. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v3/trade/execution/all' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | Execution Detail |
| `└ trade_id` | string | No | Execution ID |
| `└ order_id` | string | No | Order ID |
| `└ symbol` | string | No | Stock symbol, use `ticker.region` format,example: `AAPL.US` |
| `└ price` | string | No | Executed price |
| `└ quantity` | string | No | Executed quantity |
| `└ trade_done_at` | string | No | Trade done time, formatted as a timestamp (second) |
| `└ side` | string | No | Trade side. **Enum Value:**, `Buy`, `Sell` |
| `has_more` | boolean | No | has more orders record. The maximum number of orders per query is 1000, if the number of results exceeds 1000, then has_more will be true |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "has_more": false,
    "trades": [
      {
        "order_id": "693664675163312128",
        "price": "388",
        "quantity": "100",
        "symbol": "700.HK",
        "trade_done_at": "1648611351",
        "trade_id": "693664675163312128-1648611351433741210",
        "side": "Buy"
      }
    ]
  }
}
```
